package net.northking.cctp.common.util.excelUtil.excelEntity;

import java.util.List;

/**
 * @Author: chaoyi.zhang
 * @Date: 2020/8/22 0022
 */
public class ExcelHead {
    /**
     * 列英文名
     */
    private String templatePropName;
    /**
     * 列中文名
     */
    private String templatePropDisplay;
    /**
     * 数据长度
     */
    private String valueLength;
    /**
     * 是否必输
     */
    private String isFilled;
    /**
     * 数据是否合并
     */
    private String isMerge;
    /**
     * 是否是共有属性
     */
    private String isPublic;

    /**
     * 合并行数
     */
    private List<Integer> heightList;

    /**
     * 下拉框值-用于导入校验
     */
    private String[] address;

    /**
     * 正则表达式，校验数据正确性
     */
    private String regex;

    public String getTemplatePropName() {
        return templatePropName;
    }

    public void setTemplatePropName(String templatePropName) {
        this.templatePropName = templatePropName;
    }

    public String getTemplatePropDisplay() {
        return templatePropDisplay;
    }

    public void setTemplatePropDisplay(String templatePropDisplay) {
        this.templatePropDisplay = templatePropDisplay;
    }

    public String getValueLength() {
        return valueLength;
    }

    public void setValueLength(String valueLength) {
        this.valueLength = valueLength;
    }

    public String getIsFilled() {
        return isFilled;
    }

    public void setIsFilled(String isFilled) {
        this.isFilled = isFilled;
    }

    public String getIsMerge() {
        return isMerge;
    }

    public void setIsMerge(String isMerge) {
        this.isMerge = isMerge;
    }

    public List<Integer> getHeightList() {
        return heightList;
    }

    public void setHeightList(List<Integer> heightList) {
        this.heightList = heightList;
    }

    public String getIsPublic() {
        return isPublic;
    }

    public void setIsPublic(String isPublic) {
        this.isPublic = isPublic;
    }

    public String[] getAddress() {
        return address;
    }

    public void setAddress(String[] address) {
        this.address = address;
    }

    public String getRegex() {
        return regex;
    }

    public void setRegex(String regex) {
        this.regex = regex;
    }
}
